#
# Conditional build:
%bcond_with	openssl		# with openssl support (possible GPL violation)
#
Summary:	VPN Client for Cisco EasyVPN
Summary(pl.UTF-8):	Klient VPN dla Cisco EasyVPN
Name:		vpnc
Version:	0.5.3
Release:	3
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}.tar.gz
# Source0-md5:	4378f9551d5b077e1770bbe09995afb3
Source1:	%{name}cfg
Source2:	%{name}.tmpfiles
Patch0:		%{name}-bash.patch
URL:		http://www.unix-ag.uni-kl.de/~massar/vpnc/
BuildRequires:	libgcrypt-devel >= 1.1.90
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	perl-base
Requires:	libgcrypt >= 1.1.90
Requires:	%{name}-script = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A VPN client compatible with Cisco's EasyVPN equipment.

%description -l pl.UTF-8
Klient VPN kompatybilny ze sprzętem Cisco obsługującym EasyVPN.

%package script
Summary:	VPN Client network configuration script
Summary(pl.UTF-8):	Skrypt do konfiguracji sieci wykorzystywany przez VPN Clienta
Group:		Applications/Networking
Conflicts:	vpnc < 0.5.3-3

%description script
VPN Client network configuration script (used by vpnc and
openconnect).

%description script -l pl.UTF-8
Skrypt do konfiguracji sieci VPN Clienta (wykorzystywany przez pakiety
vpnc i openconnect).

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall '-DVERSION=\"%{version}\"'%{?with_openssl: -DOPENSSL_GPL_VIOLATION}" \
	%{?with_openssl:OPENSSLLIBS="-lcrypto"}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_mandir}/man{1,8},/var/run/%{name}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{name}		$RPM_BUILD_ROOT%{_bindir}
install cisco-decrypt	$RPM_BUILD_ROOT%{_bindir}
install %{name}-{disconnect,script}	$RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_bindir}
install pcf2vpnc	$RPM_BUILD_ROOT%{_bindir}
install %{name}.conf	$RPM_BUILD_ROOT%{_sysconfdir}
install %{name}.8	$RPM_BUILD_ROOT%{_mandir}/man8
install *.1		$RPM_BUILD_ROOT%{_mandir}/man1
ln -sf %{_bindir}/vpnc-script $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_sysconfdir}/%{name}/vpnc-script
%attr(755,root,root) %{_bindir}/cisco-decrypt
%attr(755,root,root) %{_bindir}/pcf2vpnc
%attr(755,root,root) %{_bindir}/vpnc
%attr(755,root,root) %{_bindir}/vpnc-disconnect
%attr(755,root,root) %{_bindir}/vpnccfg
%dir /var/run/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man1/cisco-decrypt.1*
%{_mandir}/man1/pcf2vpnc.1*
%{_mandir}/man8/vpnc.8*

%files script
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vpnc-script
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vpnc.git;a=log;h=master

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 6c74465
- separated -script (now used also by openconnect)
- release 3

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 038eb9a
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> a1a37d6
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 844a34c
- add systemd tmpfiles config

* Sun Jan 18 2009 duddits <duddits@pld-linux.org> 5e50953
- up to 0.5.3
- bash.patch updated
- R: bash

* Sun Jan 18 2009 duddits <duddits@pld-linux.org> 53146c1
- updated to fit 0.5.3

* Wed Jan 02 2008 Adam Gołębiowski <adamg@pld-linux.org> ff822d2
- openssl bcond

* Wed Jan 02 2008 darekr <darekr@pld-linux.org> 519ce29
- BR: perl-base, more docs

* Wed Jan 02 2008 Adam Gołębiowski <adamg@pld-linux.org> dcce038
- updated to 0.5.1; do not install source files

* Fri Jun 29 2007 mguevara <mguevara@pld-linux.org> 5fb4939
- up to 0.4.0-1, rekeying support

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b1aa70f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5f113e9
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> c091ea1
- adapterized (sorted %verify attrs)

* Mon Oct 24 2005 Paweł Gołaszewski <blues@pld-linux.org> 069df90
- pass CC and don't use "-g"

* Tue Aug 09 2005 undefine <undefine@pld-linux.org> 0d3a5f9
- use bash with vpnc-script

* Tue Aug 09 2005 undefine <undefine@pld-linux.org> 417d2f7
- suggestions by kuba staskiewicz <kuba@best.net.pl>
- add directory /var/run/vpnc
- link /usr/bin/vpnc-script to /etc/vpnc/vpnc-script
- vpnc-script is bash script, not sh
- release 2

* Wed Jun 15 2005 misi3k <misi3k@pld-linux.org> 6316b1e
- up to 0.3.3
- rel 1 [STBR]

* Sat Apr 30 2005 misi3k <misi3k@pld-linux.org> da7688b
- vpnccfg distfiles->cvs

* Sat Apr 30 2005 misi3k <misi3k@pld-linux.org> 5ab2c64
- vpn cfg script

* Sat Apr 30 2005 misi3k <misi3k@pld-linux.org> 5a5fb29
- rel 2
- added simple "config maker" script

